All Classes Files Functions Enumerations Enumerator Macros
qfi_TC Class Reference

`#include <qfi_TC.h>`

Inheritance diagram for qfi_TC:

## Public Member Functions

| qfi_TC (QWidget *parent=0)
virtual | ~qfi_TC ()
void | reinit ()
void | update ()
void | setTurnRate (float turnRate)
void | setSlipSkid (float slipSkid)

## Protected Member Functions

void | resizeEvent (QResizeEvent *event)

## Detailed Description

Turn Coordinator widget.

## Constructor & Destructor Documentation

qfi_TC::qfi_TC | ( | QWidget * | parent = `0` | ) |

Constructor.

qfi_TC::~qfi_TC | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

void qfi_TC::reinit | ( |  | ) |

Reinitiates widget.

void qfi_TC::resizeEvent | ( | QResizeEvent * | event | ) |

protected

void qfi_TC::setSlipSkid | ( | float | slipSkid | ) |

Parameters

  slip/skid | ball angle [deg]

void qfi_TC::setTurnRate | ( | float | turnRate | ) |

Parameters

  turn | rate [deg/s]

void qfi_TC::update | ( |  | ) |

Refreshes (redraws) widget.

The documentation for this class was generated from the following files:

- qfi_TC.h
- qfi_TC.cpp